commit:     9d29f464f51128a4fae696c33df9cfa61a28b496
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 13 17:30:49 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Feb 13 17:31:52 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d29f464

dev-ruby/actiontext: add 6.1.2.1

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/actiontext/Manifest                  |  1 +
 dev-ruby/actiontext/actiontext-6.1.2.1.ebuild | 52 +++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-ruby/actiontext/Manifest b/dev-ruby/actiontext/Manifest
index 21102f30464..6302f075d20 100644
--- a/dev-ruby/actiontext/Manifest
+++ b/dev-ruby/actiontext/Manifest
@@ -1,2 +1,3 @@
 DIST rails-6.0.3.4.tgz 18568864 BLAKE2B 
8f554a25ce02e4752c1a964257836a5cb0a6c01c3453ff11cd8423a9153e90ab833a32cadfe939a34e094cefd553f5514abd7817004b464b054889ab7dc05b76
 SHA512 
147f76792ce2d2484071fe247c8f1541c9ca27dcc405ff7a780771e3436a9acf3d326bbfd7c6dceca510b6f4d5209ee0a0859867174b8291d796ffd519fa2ba9
 DIST rails-6.0.3.5.tgz 18566999 BLAKE2B 
b07d1d6c1e2ebaaf3c337350bb08fe339e324818543dcd7163fe3c7ff56f50c5556f369badeb4fd48afa6d95449e18e57fa1b05db6ce544d38ee2f58bd3aa513
 SHA512 
c9d6bf689aeb40fb728fb681b65c48ebd51de893060ddac37a1fdefbb0d420cee3a456f148d96d577c651c9d7b994efdb3319fa865cb012af8712052a20a0bf3
+DIST rails-6.1.2.1.tgz 10990239 BLAKE2B 
ff1c9781eab32fda320cb2b9efc92e52ed155b659a43385781bfa422d03653879367bedc7ef4e3accb0a51b7962054eecd5202fd1e1a49ff7946c2f9388a69df
 SHA512 
61e8bf0568c0b06a2c8f6c5e4ae6becc521646a5cdd3d6832c3b52998326a4bd437ad2bd284c010d445a3dc54bf519f7fbd2e9d4368c91b7d2a9abe46e3a276d

diff --git a/dev-ruby/actiontext/actiontext-6.1.2.1.ebuild 
b/dev-ruby/actiontext/actiontext-6.1.2.1.ebuild
new file mode 100644
index 00000000000..2ce881cea72
--- /dev/null
+++ b/dev-ruby/actiontext/actiontext-6.1.2.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="actiontext.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRAINSTALL="app db package.json"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Edit and display rich text in Rails applications"
+HOMEPAGE="https://github.com/rails/rails";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+       ~dev-ruby/actionpack-${PV}
+       ~dev-ruby/activerecord-${PV}
+       ~dev-ruby/activestorage-${PV}
+       ~dev-ruby/activesupport-${PV}
+       >=dev-ruby/nokogiri-1.8.5
+"
+
+ruby_add_bdepend "test? (
+       dev-ruby/mocha
+)"
+
+all_ruby_prepare() {
+       # Remove items from the common Gemfile that we don't need for this
+       # test run. This also requires handling some gemspecs.
+       sed -e 
"/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|mysql2\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\|websocket-client-simple\|libxml-ruby\|redis\|blade\|aws-sdk\|google-cloud\|azure-storage\|selenium\|webdrivers\|minitest-bisect\|minitest-retry\|minitest-reporters\|listen\|rack-cache\|bootsnap\|capybara\)/
 s:^:#:" \
+               -e '/:job/,/end/ s:^:#:' \
+               -e '/group :\(doc\|rubocop\|test\)/,/^end/ s:^:#:' \
+               -i ../Gemfile || die
+       rm ../Gemfile.lock || die
+}
+
+each_ruby_prepare() {
+       sed -i -e 's:ruby:'${RUBY}':' test/dummy/bin/* || die
+}

Reply via email to